POST /v1/customers/{uid}/update
Path parameters
Body
email | string | |
phone | string | |
name | string | |
country | string | |
Response 200
uid | string | |
reference_id | string | The user ID in your system |
email | string | |
phone | string | |
name | string | |
country | string | |
created_at | string<date-time> | |
Request
curl -X POST https://api.baton.example/v1/customers/{uid}/update \
-H "Authorization: Bearer sk_live_xxx" \
-H "X-Timestamp: 1763280000" -H "X-Nonce: 7f3a" -H "X-Signature: v1=..." \
-H "Content-Type: application/json" \
-d '{
"email": "[email protected]"
}'